import "../css/main.css";
import "fork-awesome/css/fork-awesome.css";
// @ts-ignore
import {$, doAfterLoad, footer, header, nav} from "@fwdekker/template";
import {waitForForkAwesome} from "./Common";
import {Game} from "./Game";


doAfterLoad(() => {
    // Initialize template
    $("#nav").appendChild(nav("/Tools/Minesweeper/"));
    $("#header").appendChild(header({title: "Minesweeper"}));
    $("#footer").appendChild(footer({
        author: "Felix W. Dekker",
        authorURL: "https://fwdekker.com/",
        license: "MIT License",
        licenseURL: "https://git.fwdekker.com/FWDekker/minesweeper/src/branch/master/LICENSE",
        vcs: "git",
        vcsURL: "https://git.fwdekker.com/FWDekker/minesweeper/",
        version: "v%%VERSION_NUMBER%%"
    }));
    $("main").style.display = null;


    // Start game
    waitForForkAwesome(() => new Game(), 3000);
});
